apiVersion: apps/v1
kind: Deployment
metadata:
  annotations:
    kompose.cmd: kompose -f docker-compose.yml convert
    kompose.version: 1.33.0 (3ce457399)
  labels:
    io.kompose.service: sslh
  name: sslh
spec:
  replicas: 1
  selector:
    matchLabels:
      io.kompose.service: sslh
  template:
    metadata:
      annotations:
        kompose.cmd: kompose -f docker-compose.yml convert
        kompose.version: 1.33.0 (3ce457399)
      labels:
        io.kompose.network/sslh-default: "true"
        io.kompose.service: sslh
    spec:
      containers:
        - env:
            - name: HTTPS_HOST
              value: 192.168.3.15
            - name: HTTPS_PORT
              value: "20443"
            - name: LISTEN_IP
              value: 0.0.0.0
            - name: OPENVPN_HOST
              value: 192.168.3.254
            - name: OPENVPN_PORT
              value: "1194"
            - name: SSH_HOST
              value: 192.168.3.191
            - name: SSH_PORT
              value: "22"
          image: shaddysignal/sslh-hub
          name: sslh
          ports:
            - containerPort: 443
              hostPort: 24443
              protocol: TCP
      restartPolicy: Always
